## surf-display 0.0.5

=== Makefile ===
PREFIX  ?= /usr/local
DESTDIR ?=

all: build

build: pdflatex man

pdflatex::
	cd data && pdflatex surf-display.tex && pdflatex surf-display.tex
	gzip -9 -c -n data/surf-display.pdf > data/surf-display.pdf.gz

man::
	gzip -9 -c -n data/surf-display.1 > data/surf-display.1.gz

install:
	if [ ! -e data/surf-display.pdf.gz ]; then \
	    echo "Run 'make build' first, before running 'sudo make install'."; \
	    exit -1; \
	fi

        # script
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	install -m 0755 bin/surf-display $(DESTDIR)$(PREFIX)/bin/

	# LaTeX Beamer PDF: Impressive HowTo
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/surf-display/
	install -m 0644 data/*.pdf.gz $(DESTDIR)$(PREFIX)/share/doc/surf-display/

	# man page
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0644 data/*.1.gz $(DESTDIR)$(PREFIX)/share/man/man1/

	# man page
	mkdir -p $(DESTDIR)$(PREFIX)/share/surf-display
	install -m 0644 data/empty-page.html $(DESTDIR)$(PREFIX)/share/surf-display/

	# register as available Xsession
	mkdir -p $(DESTDIR)$(PREFIX)/share/xsessions/
	install -m 0644 data/*.desktop $(DESTDIR)$(PREFIX)/share/xsessions/

clean::
	-rm data/surf-display.aux \
	    data/surf-display.log \
	    data/surf-display.nav \
	    data/surf-display.out \
	    data/surf-display.pdf \
	    data/surf-display.pdf.gz \
	    data/surf-display.snm \
	    data/surf-display.toc
	-rm data/surf-display.1.gz

.PHONY: man pdflatex

=== debian/changelog ===
surf-display (0.0.5-3) unstable; urgency=medium

  * Team Upload
  * Drop dependency on CDBS

 -- Alexandre Detiste <tchet@debian.org>  Wed, 10 Sep 2025 09:55:18 +0200

surf-display (0.0.5-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + debian/control: Set Priority: to optional.
    + Package now complies to Standard-Version: 4.2.0.
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.
  * debian/{control,compat}:
    + Switch to DH compat level version 10 (for now, until CDBS supports 11).
  * debian/watch:
    + Use secure URL for upstream tarball download.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Aug 2018 13:49:53 +0200

surf-display (0.0.5-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #858378).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Jun 2017 00:08:42 +0200

=== debian/control ===
Source: surf-display
Section: admin
Priority: optional
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 texlive-latex-extra,
 texlive-fonts-recommended,
 lmodern,
Standards-Version: 4.7.2
Homepage: https://code.it-zukunft-schule.de/cgit/surf-display/
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/surf-display.git
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/surf-display

Package: surf-display
Architecture: all
Depends:
 ${misc:Depends},
 surf (>= 0.7),
 psmisc,
 x11-xkb-utils,
 xdotool,
 xinit,
 xprintidle,
Recommends:
 matchbox-window-manager,
 pulseaudio,
 unclutter,
 x11-xserver-utils,
 wmctrl,
Suggests:
 nodm,
Description: Kiosk browser session manager based on the surf browser
 Provide an X11 session manager script that launches a minimal window
 manager and then opens an entry web page via the surf web browser in
 kiosk mode. The web page can be consumed "read-only" or in interactive
 mode.
 .
 In combination with the nodm display manager you can provide an
 easy-to-setup html'ish display screen or a web terminal.
 .
 If URL/domain filtering is needed, combine surf-display with a local
 instance of tinyproxy.
 .
 After a configurable idle time, the browser session is fully
 reset and started anew.

=== debian/watch ===
version=4
https://code.it-zukunft-schule.de/cgit/surf-display/ \
    snapshot/surf-display-(\d\.\d\.\d)\.tar\.gz
